
                              *---------------------*
                              |  History of MyMAIL  | 
                              *---------------------*

********************************************************************************************
*     Date : 07.02.2001                                                                    *
*     Rev  : 1.23                                                                          *
*==========================================================================================*

[ New features: ]
[ Major improvements & bugfixes: ]
  * General
  * Editable fields
  * POP3
    - Added new code for error messages connected to POP3 logon failure.
    - A bug caused in some cases that a failed POP3 logon to timeout very slowly,
      this is now fixed.
  * SMTP
  * Main window
  * Editor window
    - A problem with randomly faulty line separation fixed.
  * Vcard edit window
  * Filter
  * Filter window
  * Mailing list
  * Queue 
  * Dialer (stik/sting)
  * Built in help window
  * Mail formating
  * New entrys in help.dat
[ To do: ]
  - Better way of handeling word wrap.
  - Possibility to disable auto dl of mail at no action timeout of the dl dialog.
  - News ( Needs big redesign of mainwindow and other functions )
  - change of CC field to BCC do not work yet.
  - Make it possible to write more that one address at the To and Cc fields.
  - Update the popup menu functions to be more flexible.
  - Total redesign of the outgoing queue. (Big work)
  - VDI printout on printer.
[ New not working functions: ]
  - change of CC field to BCC do not work yet.

********************************************************************************************
*     Date : 04.02.2001                                                                    *
*     Rev  : 1.22                                                                          *
*==========================================================================================*

[ New features: ]
[ Major improvements & bugfixes: ]
  * General
  * Editable fields
  * POP3
  * SMTP
  * Main window
    - Fixed problems with delete/selection of mail log.
  * Editor window
  * Vcard edit window
  * Filter
  * Filter window
  * Mailing list
    - Fixed a bug caused of the cleanup work in 1.21, It was not possible to open the mailing list window.
  * Queue 
  * Dialer (stik/sting)
  * Built in help window
  * Mail formating
  * New entrys in help.dat
[ To do: ]
  - Better way of handeling word wrap.
  - Possibility to disable auto dl of mail at no action timeout of the dl dialog.
  - News ( Needs big redesign of mainwindow and other functions )
  - change of CC field to BCC do not work yet.
  - Make it possible to write more that one address at the To and Cc fields.
  - Update the popup menu functions to be more flexible.
  - Total redesign of the outgoing queue. (Big work)
  - VDI printout on printer.
[ New not working functions: ]
  - change of CC field to BCC do not work yet.


********************************************************************************************
*     Date : 03.02.2001                                                                    *
*     Rev  : 1.21                                                                          *
*==========================================================================================*

[ New features: ]
[ Major improvements & bugfixes: ]
  * General
    - Cleanup in the code for reading on enviroment variables.
  * Editable fields
  * POP3
    - A problem with downloading some mails in some cases is fixed.
    - Added special config for useractions on receive of mail
      that is only possible to set in mymail.set file:
    
      MAX_TIME_FOR_USERACTION_ON_POP3_DIALOG=60
      sets the timeout to number of seconds.
    
      POP3_USERTIMEOUT_ACTION_ABORT=YES
      if set to YES mymail aborts the mail receive
      in the case of timeout.
      Default is set to NO and the program receives the mails.
    - Improved way of displaying mail waiting list
      avoids reread of data from POP3 server when scrolling.
  * SMTP
  * Main window
  * Editor window
    - A problem with the font size fixed.
  * Vcard edit window
  * Filter
  * Filter window
  * Mailing list
    - Added special config for how automatic update of mailing lists is executed.
      If AUTO_MAILLIST_ADDR_IN_BODY is changed to YES in the mymail.set file
      mymail tryes to find name and address in the mail body.
  * Queue 
  * Dialer (stik/sting)
  * Built in help window
  * Mail formating
  * New entrys in help.dat
[ To do: ]
  - Better way of handeling word wrap.
  - Possibility to disable auto dl of mail at no action timeout of the dl dialog.
  - News ( Needs big redesign of mainwindow and other functions )
  - change of CC field to BCC do not work yet.
  - Make it possible to write more that one address at the To and Cc fields.
  - Update the popup menu functions to be more flexible.
  - Total redesign of the outgoing queue. (Big work)
  - VDI printout on printer.
[ New not working functions: ]
  - change of CC field to BCC do not work yet.


********************************************************************************************
*     Date : 23.01.2001                                                                    *
*     Rev  : 1.20                                                                          *
*==========================================================================================*

[ New features: ]
[ Major improvements & bugfixes: ]
  * General
  * Editable fields
    - Changed the drawing of editable fields from AES to VDI to avoid drawing problems with
      magic that some users had.
      This was planned later to get better speed but i think it was important to do now for some users.
    - Added shift+right and shift+left functioanality to the editable fields.
    - Now right arrow will fill in more of sugested text in editable fields.
    - Some minor bugfixes.
  * POP3
    - Some minor bugfixes.
  * SMTP
    - Some minor bugfixes.
  * Main window
    - Some minor bugfixes.
  * Editor window
    - A problem with too big editor window overlaping the menubar fixed.
  * Vcard edit window
    -
  * Filter
    -
  * Filter window
    -
  * Mailing list window
    -
  * Queue 
    -
  * Dialer (stik/sting)
    -
  * Built in help window
    -
  * Mail formating
    - A BIG rework in how Subject,To,From and so on from the header is formated.
      It has impact on Opening of mail, Reply, Forward and so on
      where the Subject, From, To is displayed.
  * New entrys in help.dat
    - None
[ To do: ]
  - Better way of handeling word wrap.
  - Possibility to disable auto dl of mail at no action timeout of the dl dialog.
  - News ( Needs big redesign of mainwindow and other functions )
  - change of CC field to BCC do not work yet.
  - Make it possible to write more that one address at the To and Cc fields.
  - Update the popup menu functions to be more flexible.
  - Total redesign of the outgoing queue. (Big work)
[ New not working functions: ]
  - change of CC field to BCC do not work yet.


********************************************************************************************
*     Date : 22.12.2000                                                                    *
*     Rev  : 1.19                                                                          *
*==========================================================================================*

[ New features: ]
[ Major improvements & bugfixes: ]
  * General
    - Some minor changes in AV-protocol to avoid memory violation
      when mint is used with memory protection.
      (Memory for buffers is now allocated with the flag MX_GLOBAL set)
  * POP3
    - Enabled the kill filter so it is possible to save mail on server
      without having to download the again at next mail check.
      Please note that having many mails on the server is not a good idea
      as it slows down the mail check.
      The kill files is named '0.kil' for account nr 1, '1.kil' for account nr 2 and so on.
    - Re-design of the code to get it more object-oriented and reenterant.
      But no functional change.
    - Bugfixing the selection/deselection of mail for download.
    - One function call (get_mail_header) changed regarding parameters to secure safe future chages
      but no functional chage is done.
  * SMTP
  * Main window
  * Editor window
    - A problem with locked system when deleting selected text fixed.
    - A problem with no action on selected text fixed.
  * Vcard edit window
  * Filter
  * Filter window
  * Mailing list window
  * Queue 
  * Dialer (stik/sting)
  * Built in help window
    - A fault when the user moves the mouse and still holds down the button
      is solved.
  * Mail formating
  * New entrys in help.dat
[ To do: ]
  - Better way of handeling word wrap.
  - Possibility to disable auto dl of mail at no action timeout of the dl dialog.
  - News ( Needs big redesign of mainwindow and other functions )
  - change of CC field to BCC do not work yet.
  - Make it possible to write more that one address at the To and Cc fields.
  - Update the popup menu functions to be more flexible.
  - Total redesign of the outgoing queue. (Big work)
[ New not working functions: ]
  - change of CC field to BCC do not work yet.


********************************************************************************************
*     Date : 19.11.2000                                                                    *
*     Rev  : 1.18                                                                          *
*==========================================================================================*

[ New features: ]
[ Major improvements & bugfixes: ]
  * General
    - Parts of the code for new poupmenu object handler on place.
    - Some improvement in the drag'n'drop code plus in the editable fields object handler: 
      + Now added draging of editable fields.
      + Now it is possible to drop text into editable fields.
    - Removed one of my old window libarys.
    - Some minor cleanup of unused variables.
    - Bugfixes in the editable fields.
    - Now is "user-agent:" tag supported to the identify mail client.
    - Fixed a problem with reply on some mails from mailing list.
      Now is the user asked about how to reply, orginator or list.
  * POP3
  * SMTP
    - Bad number of parameter in one function call was causing stack fault
      in the case of sending queued mail.
  * Main window
    - Fixed a problem with wrong status at move of mail.
    - Added new alert form for the case of delete from popupmenu.
    - Redesign of formating of the mail selection lines
      to speedup the redraw/update operation.
    - Redesign of icond draw in the mail/folder selection lines
      to speedup the redraw/update operation.
    - Redesign of mail status check of the mail selection lines
      to speedup the redraw/update operation.
  * Editor window
    - Bugfixing of the text selection.
    - Bugfix in redirecting of html mail to web browser.
  * Vcard edit window
  * Filter
    - Removed not needed code
  * Filter window
  * Mailing list window
  * Queue 
    - Now is sent mail removed from queue.
      Only failed mail is left in the queue.
  * Dialer (stik/sting)
  * Built in help window
  * Mail formating
  * New entrys in help.dat
    -  AL_060
    -  AL_046
[ To do: ]
  - Better way of handeling word wrap.
  - Possibility to disable auto dl of mail at no action timeout of the dl dialog.
  - News ( Needs big redesign of mainwindow and other functions )
  - change of CC field to BCC do not work yet.
  - Make it possible to write more that one address at the To and Cc fields.
  - Update the popup menu functions to be more flexible.
  - Total redesign of the outgoing queue. (Big work)
[ New not working functions: ]
  - change of CC field to BCC do not work yet.


********************************************************************************************
*     Date : 21.10.2000                                                                    *
*     Rev  : 1.17                                                                          *
*==========================================================================================*

[ New features: ]
[ Major improvements & bugfixes: ]
  * General
    - A problem with corrupt filenames after fileselection is fixed.
    - Please note that the RSC file is updated so you need to
      replace the old one when you update.
    - Found and removed some old not used code.
    - Some minor redesign of icon drawing functions.
    - Fixed a bug in the window object handler.
    - Problems with long filenames in Magic fixed.
    - A fault in the window object handler was causing
      wrong window to be topped in some cases.
      This is now fixed.
  * POP3
    - A bug was causing problems with icon update
      at download of mails.
  * SMTP
    - Some minor redesign and cleanup of code.
  * Main window
    - Improved the searching of text in all mails.
    - Redesign of how status icons is redrawn in the main window 
      this is done to speedup the redraw and gives smaller code.
    - The "move bar" look is updated
      <> Now is folowing info shown in the "move bar":
          1. MyMAIL rev nr.
          2. Selected mailbox.
          3. Active user account.
      <> The texts 'Mailbox:' and 'Account:' is moved out to the help.dat file.
    - Fixed a problem with no displayed mails in mailbox in the case of
      new mail and if the mailbox was empty before.
    - Fixed a problem with realtime redraw at move of the window.
  * Editor window
    - Now possible to drag links in text editor.
    - Improved the way of selection of text at double clicking.
    - Fixed a problem with scrolling of text in the editor when pressing enter.
    - Fixed a problem with attached mtext.txt file when mail is bigger than
      what mymail can display in its editor.
    - Improved the history of the mail address fields.
      It is now limited to the latest used 256 addresses.
    - A fault in position calculation was causing
      problems to drag text if the text was scrolled.
      This is now fixed.
  * Vcard edit window
    - Changed the view to be only one view and not two as before.
    - Total redesign of the code to allow the new type of edit fields.
      Now it is possible to have longer text at every field as
      the new editfiled type allows editing outside the visible size.
  * Filter window
    - Changed old editfiled functions to the new type in filter window.
    - If filterwindow was open and then the user clicks on
      the icon for the filter window again then there was a
      system lockup.
      This is now fixed.
  * Mailing list window
    - A fault was found and fixed in the Update of an existing address.
  * Queue 
    - Moved most of the text for alert boxes out from the code into the help.dat file
  * Dialer (stik/sting)
    - Moved alert texts out to the help.dat file
      and removed all not used text strings.
  * Built in help window
    - Changed from old window handler to new window object handler
      but no functional change. 
  * Mail formating
    - Some minor changes to speedup the code
      but no functional change.
    - Big cleanup of unused variables.
[ To do: ]
  - Better way of handeling word wrap.
  - Possibility to disable auto dl of mail at no action timeout of the dl dialog.
  - News ( Needs big redesign of mainwindow and other functions )
  - change of CC field to BCC do not work yet.
  - Make it possible to write more that one address at the To and Cc fields.
  - Update the popup menu functions to be more flexible.
[ New not working functions: ]
  - change of CC field to BCC do not work yet.


********************************************************************************************
*     Date : 24.09.2000                                                                    *
*     Rev  : 1.12                                                                          *
*==========================================================================================*

[ New features: ]
  * Editor
    - Possible to drag selected text to/from editor window.
  * Drag and drop
    - Added text (.TXT & .ASC) as object type in drag and drop.
[ Major improvements & bugfixes: ]
  * General
    - Fixed a problem one incorrect entry in the translation table Atari->ISO8859-1.
    - Some minor updates of the docs.
  * Drag and drop
    - Redesign & bugfix of the drag'n'drop code.
  * Editor
    - New  way of redrawing attachment toolbar in the mail editor
      in the case of draging files into it.
      This is done to speedup the operation.
    - Some minor redesign of editor to speedup entering text.
    - Fixed o problem in the redraw of selected text.
    - Enter was not moving the view to the left most of the text
      if the text was side scrolled.
      This is now fixed.
    - A calculation (typo) fault was causing bad positioning of cursor
      if text was side scrolled.
      This is now fixed.
  * Filter
    - Filter config files is from now located in the filter folder
      so if you had filter before you need to move the filer files to
      that folder. (filt0.set, filt1.set .....)  
  * Alias
    - A fault in the alias code was showing a faulty alert box about a failing delete
      but this was not the case.
      The alias was removed but the display was not updated and the alert box was shown.
    - From now scroll buttons for alias scrolls the contents as long the user holds down the mouse button.
      It do not any longer scrolls outside the list when scrolling down.
  * Main window  
    - Bugfix of "Take address" functions.
  * Mailing list window
    - Now is all editable fields in the mailing list window changed to the "new" field edit function.
    - Moved the selection of mailing list.
    - The address and name fields is now updated after remove of a member.
  * Version check
    - Some minor cleanup of not needed variables.
  * Http access
    - Some minor cleanup of not needed variables.
  * Olga
    - Added missing files into olga.
[ To do: ]
  - Better way of handeling word wrap.
  - Change old editfiled functions to the new in "Edit address book card" window.
  - Change old editfiled functions to the new in filter window.
  - Possibility to disable auto dl of mail at no action timeout of the dl dialog.
  - News ( Needs big redesign of mainwindow and other functions )
  - change of CC field to BCC do not work yet.
  - Make it possible to write more that one address at the To and Cc fields.
  - Update the popup menu functions to be more flexible.
[ New not working functions: ]
  - change of CC field to BCC do not work yet.


********************************************************************************************
*     Date : 18.08.2000                                                                    *
*     Rev  : 1.11                                                                          *
*==========================================================================================*

[ New features: ]
  - None
[ Major improvements & bugfixes: ]
  - Fixed a problem with some not editable fields.
  - Added time tag to smtp.log
  - Some rewrite of timing to support the new smtp.log time tags.
  - Fixed a not wanted difference in reply depending on user action.
  - Redesign of progressbar calculation.
  - Moved some more alert box texts to the help.dat file.
[ New not working functions: ]
  - same as last version
                              
                              
********************************************************************************************
*     Date : 12.08.2000                                                                    *
*     Rev  : 1.10                                                                          *
*==========================================================================================*

[ New features: ]
  - None
[ Major improvements & bugfixes: ]
  * General *
    - More problem fixed with mail from MS mailers with no filename on attachments
      now mymail creates a random filename with .bin
    - Now mymail is looking for the enviroment variable TMP or TEMP 
      that contains a path for temporary files if UNIXMODE is set to /brUs
      If the enviroment is not set mymail will use the home directory.
      Not all files is using this path yet as it require redesign
      of the code.
    - More temporary files is now removed after it is used and not needed anymore.
    - A bug in the animation part was causing some minor problems with lost icons
      this was not a bug that was causing any problems for the user.
    - Added a new primitiv for the window functions that allow saving of window positions
      in a new smarter way.
    - A problem with base64 encoding of files.
  * Mail formating
    - Fixed a problem with mails from Outlook that is violating RFC 821 (page 42) with longer 
      lines than 1000 chars.
      Now mymail is truncating the line to 1000 chars (part of text is lost).
      A alert box is shown to tell the user about the truncation.
      Before this change was mymail aborting the operation but this did not work all times
      and the mail was compleatly unreadable.
    - Reply on empty mail was causing mymail to hang
      this is now fixed.
  * POP3 *
    - Some minor bugfixes in pop3 code.
  * SMTP
    - Added new option for sending bad formated mail that crashes MS-Outlook
      on the receiving computer.
      To activate the function press ctrl-k in the editor.
      The function will be turned off when mail is sent
      or the user press ctrl-k again.
      The function will not work on queue.

      !!!!!!!!!!!!!!!!!!  ------- WARNING ------- !!!!!!!!!!!!!!!!!!!!!!!!!!!!
      It is _not_ possible to restart outlook after this as it will
      crash when it tryes to download the mail again.
      The user needs to ask the mail admin to remove the mail from the server.
      You do this only on your own risc.
      !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
      
      Systems affected:
      - Microsoft Outlook Express 4.0
      - Microsoft Outlook Express 4.01
      - Microsoft Outlook Express 5.0
      - Microsoft Outlook Express 5.01
      - Microsoft Outlook 97
      - Microsoft Outlook 98
      - Microsoft Outlook 2000
      
      - MyMAIL is not affected of this as it has larger buffers for this
        as described in the RFCs for mail.
        The time will of course be badly calculated but dont cause any crash.

      THE PROBLEM:
        It has bean discovered an exploitable buffer overflow in for the 
        Date on all versions of Outlook.
        It can look like this:
        Date: Thu,13 Jun 2000 12:33:16 +1111111111111111111111111111111111111111111111111111111111111

        The danger in this way of sending Date is that the buffer overrun would
        occur even if the user does not open or preview the e-mail message.

        This is because the buffer overrun is triggered during the process of 
        downloading the e-mail message from server.  
        It is unlikely that a user will be able to delete
        the mail message from the server.
        Instead, the user have to request that the e-mail server administrator
        to delete the message from the mail server.

        A nice little feature about this buffer overflow is that the mail is
        not deleted from the server, and next time outlook is loaded, it will
        try to download the mail, causing it to crash again.
      
  * News (inactive) *
    - ReDesign of news settings to fit into the new type of edit fields.
    - Bugfixes in subscribe/unsubscribe
  * Program info window *
    - Changes in the program info window to allow text for translated versions.
      The text must be inserted from the help.dat file and 
      it contains 4 lines of text and 33 chars long.
    - If any of the 4 lines contains a mailaddress or http:// link
      then it will be treated as a link if the user clicks on that filed.
    - It is possible to have a icon on line 3 & 4 for the link.
  * Main window *
    - Now stop icon is working in when running mymail under MiNT
    - Now threaded mail-check is killed by clicking in the "stop" icon.
    - Added a new keyboard shortcut K
      this shortcut is _only_ for creating fault reports to
      me regarding problem mails.
      Mymail creates a new mail with the problem mail as an attachment.
    - Moved the limit of mail folders from 10 to 100
    - Added scroll buttons for mailbox selection.
    - Added missing functionality for scrolling the selectde mailbox
      and done some bug fixing on it.
    - Fixed a problem with status update in folder selection.
  * Filters *
    - Changed the limit of 6 filters to 24.
      This makes mail download slower as it has to scan more filters for 
      every mail.
    - Some redesign to make it able to use more than 6 filters.
  * Config window
    - Changed from the old edit fields to the new one.
    - Badly placed button moved.
  * Visit Card windows *
    - Removed not used fields.
    - Removed not used buttons and icons.
  * Progressbar windows *
    - Now is the position of the window stored if it is moved.
  * User selection window *
    - Changed to new field edit function on name edit.
    - Added new settings to turn on/off check of multiple accounts.
      3 modes is possible on every account:
      OFF           -  Atari icon  - Normal operation
      CHECK ON      -  Clock icon  - Checks mail on the account and brings up the userselection window
                                     if there is any mail.
      AUTO DOWNLOAD -  Arrow icon  - Checks the mail on the account and downloads mail if there is any.
      To switch mode just click in the icon.
            
      This new functionality is usefull if you have many accounts
      and likes to check them all without switching account.
      This function is _not_ threaded under mint.
    - Added new fields showing how many new mails that is waiting on mailserver.
[ New not working functions: ]
  - same as last version


********************************************************************************************
*     Date : 30.06.2000                                                                    *
*     Rev  : 1.02                                                                          *
*==========================================================================================*

[ New features: ]
  - None
[ Major improvements & bugfixes: ]
  - Fixed a problem with long locking timeouts at logon to pop3 server with faulty settings.
  - Removed a double read of "Subject" and "From" fileds at redraw of main window.
  - A problem with content type and decoding fixed.
  - A fault in base64 encoding found and fixed.
    This fault was caused by missing string termination that I forgot to add when 
    I did optimize of the code.
[ New not working functions: ]
  - same as last version


********************************************************************************************
*     Date : 24.06.2000                                                                    *
*     Rev  : 1.01                                                                          *
*==========================================================================================*

[ New features: ]
  - None
[ Major improvements & bugfixes: ]
  - Fixed a problem with Subject lines over 256 chars that was causing mymail to crasch.
  - Fixed a problem that popped up in V1.00 with proportional fonts.
  - Fixed a problem with a never ending loop in the case of failing erase of files
    in the automatic size limit of attach folder.
  - A missing reference in program settings was causing a missing help bubble.
  - A bad timeout was causing problems for some users (I hope it works better now).
  - A minor redesign of cursor update function in mail editor.
[ New not working functions: ]
  - same as last version
  

********************************************************************************************
*     Date : 16.06.2000                                                                    *
*     Rev  : 1.00                                                                          *
*==========================================================================================*

[ New features: ]
  - None
[ Major improvements & bugfixes: ]
  - A problem with the new "boundary-check" functions fixed and some improvement.
  - A problem in the editor with the down arrow key is fixed.
  - Now it is possible to drag more than one file at the time to mymail.
  - Some minor bugfixes in drag'n'dropp.
  - Removed truncating of long subjects as this is not needed with the new 
    fieldedit functions.
  - A sync problem at mailcheck under mint is now fixed.
  - Problem with double Re: subject in some cases fixed.
  - Optimized decoding/serching of filename for attachments.
  - Optimized code for object redraw.
  - Optimized formating code for mail.
  - Changed the "sugested" string look in the editable fields.
  - A new problem with links in editor is now fixed.
  - Trying to open the alias window again was causing mymail to crash.
    This is now fixed.
  - Added functions for adding/removing timer functions.
  - Moved some timer functions and some is added and removed
    depending on user actions.
    I think this will speedup the program.
  - Bugfix of the new way of finding filenames in a mail.
  - Removed unused variables in filter, iconbar, replyfix code.
  - Added support for subject and filenames encoded with =?windows-1252?
  - Total re-write of the function for decoding subject,from,filenames and so on
    coded in =?windows-1252? or =?iso.... 
    This re-design was needed cause some mailers mixes the coding type on the same text line.
  - Help pages is updated.
  - Fixed a problem when sending mailing list and not having the "supress recipient list" selected.
  - Added bubble help for some buttons in program settings.
  - Added check for the text fileformat at mail send to avoid problem when a attachment 
    is in Apple format, If it is in Apple format it will be base64 encoded.
  - New way of scrolling added for the case that you are at page end and press enter.
  - Added a header for forward of a mail containing orginator and date.
  - Added icon for forward of mail from a mail reading window.
  - Fixed a problem with bad chars in editor after an dialog window is closed with Enter and not a mouse click.
  - Fixed a problem with a bad counter value after a try to add more attachments than the limit allows.
  - Fixed a bug in mail logging.
  - Fixed a bug in find text in main window
  - Added a limited find function in mail editor.
  - Moved keyboard shortcuts for mainwindow to its own page in the documents.
  - New keybard shortcuts in mainwindow
     F        - Forwards a mail
     R        - Reply on a mail
     U        - Opens user selection
     Ctrl-M   - Check mail
     Ctrl-A   - Select all mail in current mailbox
     Ctrl-P   - Print all selected mail in current mailbox 
  - New keybard shortcuts in editor
     Ctrl-D   - Delete mark mail
     Ctrl-P   - Print mail
     Ctrl-R   - Reply on mail
     Ctrl-W   - Forward mail
  * A major fault in the new editfield functions was causing bus error and lost editfields.
      This was caused by a relink bug (unset pointer) when removing a editfield object.
      The removed object was left in the linked object list and the list was totaly broken.
      Then the broken list was causing dead locks and lost memory space.
      The bus error was caused by the fact that mymail was trying to access the removed object.
      All this problems is fixed now.
[ New not working functions: ]
  - same as last version


********************************************************************************************
*     Date : 01.05.2000                                                                    *
*     Rev  : 0.99                                                                          *
*==========================================================================================*

[ New features: ]
  - None
[ Major improvements & bugfixes: ]
  - Disk size is now checked before mail is deleted.
  - A new problem with Outlook mail is now fixed.
    Boundarys is in Outlook nested and mymail was not supporting this properly 
    so i was forced to rewrite a big part of the decoder code to get this work.
  - A problem in some cases with entering mailaddresses in To and Cc fields solved.
  - A problem in the editor with the down arrow key is fixed.
  - A problem with links in editor is now fixed.
  - Some minor bugfixes in editor is done.
  - Changed to the new editfield functions in following parts:
    Funktion key def.
    Find window
  - Added support for page upp/down on PC keyboards
    in editor and mainwindow.
[ New not working functions: ]
  - same as last version


********************************************************************************************
*     Date : 24.04.2000                                                                    *
*     Rev  : 0.98                                                                          *
*==========================================================================================*

[ New features: ]
  - None
[ Major improvements & bugfixes: ]
  - Now SHIFT-HOME takes you to the end of a mail text in the editor.
  - A small bug in editor was causing HOME key to not work
    in "view-mode".
  - Added arrow key support for mail in "view-mode".
  - Some minor bugfixes is done on the editor.
  - "Cleanup" of the code in Editor, smtp and pop.
    (remove of unused variables and code)
  - A new entry exist in the mymail.set file named MAILLIST_SEND_RESULTWIN
    if this entry is set to
    MAILLIST_SEND_RESULTWIN=YES
    then a window will display mailserver responses for every mailaddress sent from a mailinglist.
    There is no way to set this from inside the program so it must be done in a text editor.
[ New not working functions: ]
  - same as last version


********************************************************************************************
*     Date : 15.04.2000                                                                    *
*     Rev  : 0.97                                                                          *
*==========================================================================================*

[ New features: ]
  - None

[ Major improvements & bugfixes: ]
  - Changed the fieldedit function to the new one
    in the find window.
  - Ctrl-c now aborts searching.
  - A combination of small bug in mymail and a fault in mail from 
    Outlook express was sometimes causing fatal faults in mymail.
    This is now fixed.
  - A bug in the "waiting mail list" window is fixed.
  - Thanks to Bernd Maedicke a bug is found and fixed in 
    the part that erase all files in attach folder at termination.
  - Fixed a bug randomply causing problem to view mail correctly
    when there was a serie of dashes in the mail.
  - Some minor changes in the rsc file.
  - Fixed a problem with entering addresses in the editors To and Cc fields.
[ New not working functions: ]
  - same as last version


********************************************************************************************
*     Date : 20.03.2000                                                                    *
*     Rev  : 0.96                                                                          *
*==========================================================================================*

[ New features: ]
  - None

[ Major improvements & bugfixes: ]
  - Cleanup of unused variables in POP3 code.
  - A small problem with sending mailing lists fixed.
  - Take address to alias list is updated/bugfixed.
  - New editfield functions added to alias window
    and removed the old.
  - Some minor bugfixes in the alias window functions.
  - A Spelling error fixed in the priority.
[ New not working functions: ]
  - same as last version


********************************************************************************************
*     Date : 11.03.2000                                                                    *
*     Rev  : 0.95                                                                          *
*==========================================================================================*

[ New features: ]
  - None

[ Major improvements & bugfixes: ]
  - Some smaller speed optimizations done.
  - Added a new enty in the mail edit/view window for Priority.
    The mail can have the following priority:
    * Lowest
    * Low
    * Normal
    * High
    * Highest
  - The prio of a mail is displayed when a mail is opened.
  - The priority is sent in two formats:
    * x-priority
    * X-MSMail-Priority
  - A small fault in the creation of dead**.txt fixed.
[ New not working functions: ]
  - same as last version




********************************************************************************************
*     Date : 06.03.2000                                                                    *
*     Rev  : 0.94                                                                          *
*==========================================================================================*

[ New features: ]
  - None

[ Major improvements & bugfixes: ]
  - Partly done a rewrite of the windowed alertboxes as parts of it
    was badly coded.
  - A bug in the mailinglist window and shortcuts fixed.
  - A problem with new format of vcards from outlook express fixed.
    There is more problems related to this new format
    and i will try to fix this in later versions.
  - Code optimize done on many parts of the program to save memory.
  - A timeout in the receive of data will from now not bring up 
    an alertbox telling you that you are off-line.
  - Added a missing check and handle of response from POP3 server
    after a RETR command.
[ New not working functions: ]
  - same as last version


********************************************************************************************
*     Date : 22.02.2000                                                                    *
*     Rev  : 0.93                                                                          *
*==========================================================================================*

[ New features: ]
  - From now mymail is sending priority in the header of all mail.
    These fields is sent:
      X-Priority: 3
      X-MSMail-Priority: Normal
    There is no way to change priority now but this may change in
    later versions of mymail.
  - Now References is sent in a reply. (do not work when que is used).
[ Major improvements & bugfixes: ]
  - A debug printout was not removed in last version.
  - Now mymail can take vcard files with different names. 
  - Fixed problems with fileattachments from Outlook Express 5.
    OE5 encodes filenames in a new way (mime coding of the name), 
    mymail now decodes these names correctly.
  - Some corrections regarding redraw of editor window:
    * New setting for "smart redraw" to be used with magic and N.AES >=2.0.0 
      and a new redraw func for rezise of edit window.
    * Problem with bad background pattern in redraw of edit window fixed.
    * removed a double vdi syscall.
  - Fixed some problems with hanging of mymail when entering mailaddresses in editor.
  - A bugfix of pop3, if a login was failing then it was causing extreme long timeouts.
  - Bugfixes of the maillist and changed the old editfield functions to the new one
    on two of the fields.
  - Added shortcuts in mailing list window:
    ctrl-a Adds entered address and name to current mailing list.
    ctrl-n Clears the address and name fields.
  - Printing under other user than root was randomly failing cause of a 
    bad path set by mymail (to file prlist.txt).
    This is now fixed.
  - Mailcheck under mint was some times failing and then the lock semaphore
    was locking more mailchecks.
    This is now fixed and the semaphore is cleared when the thread is terminated.
  - A small fault in thread functions fixed.
  - It seams to be problems to mutiple call to resolve function with use of gluestik 
    so this is now controled with a semaphore.
  - Removed old not needed fault/debug printouts in the editor.
  - Incorrect name in the mailtext of a reply fixed.
[ New not working functions: ]
  - same as last version


********************************************************************************************
*     Date : 24.01.2000                                                                    *
*     Rev  : 0.92                                                                          *
*==========================================================================================*

[ New features: ]
  - None

[ Major improvements & bugfixes: ]
  - Names on attachments was not found in every cases
    caused by a bug that was clearing the name after 
    the name was found.
    This is now fixed.
  - User/server settings was not saved correctly every time
    it was changed by user.  
  - Fixed a problem for some users that mymail crashed after 
    entering of mail address in a new mail.
[ New not working functions: ]
  - same as last version


********************************************************************************************
*     Date : 10.01.2000                                                                    *
*     Rev  : 0.91                                                                          *
*==========================================================================================*

[ New features: ]
  - None

[ Major improvements & bugfixes: ]
  - Faulty number of parameter in redraw of status icones
    was causing stackfault but this is fixed now.
  - The up/down key was not working properly in the main window
    so this is now updated.  
  - New shortcuts in the main window
     Space   Selects/deselects marked line
     Ctrl+L  Clear selections
     Ctrl+O  Open selected mail
     Ctrl+G  Goto next new mail
[ New not working functions: ]
  - same as last version


********************************************************************************************
*     Date : 23.12.1999                                                                    *
*     Rev  : 0.90                                                                          *
*==========================================================================================*

[ New features: ]
  - Now mymail asks for attachments include in forward of mail.
  - Added complete new functions for the field To: CC: and Subject fields
    in new mail window.
    A new function in these new fields is some type of history logg
    so if you type any thing it thinks matches it will sugest a string in gray.
    To activate a sugested string you need to press Tab.
    If you do not like it you hit enter.
  - Added the same new functions for the fields in User/Server settings window
    but without any sugested strings...
[ Major improvements & bugfixes: ]
  - More alertbox texts moved outside the code (into help.dat)
  - Fixed bug causing random confusing about how many files to send in a mail.
  - A bug in mailinglist functions was in some cases causing erase of all the list addresses, 
    this is now fixed.
  - In some times was the status on mail not saved correctly, 
    this is now fixed.
  - Incorrect redraw of folder icons fixed.
  - Added import of newsie addressbook.
    The addressbook file (address.abk) must be copy to the mymail folder
    then start the program and open the addressbook and mymail
    will ask the user for import.
    The newsie addressbook file will be removed from the mymail
    directory after import so be sure you have a copy.
  - Bugfixes in alias window.
  - Some smaller changes in the popup window code
    to get it a little bit faster.
  - Logging of attachments was not working correctly
    caused by a small bug that was hard to find
    but easy to fix when found.
  - Mail with attachments was in some very special cases readed with some missing bytes.
  - Rewrite of how attachments files is readed from disk to speedup send operation.
  - Fixed a problem with saving of mail.
  - Fixed a problem finding file name of attachments from some other mailers.
  - Decode problem of attachments frome some mailers fixed.
  - Fixed problem with a faulty path in forward of mail with attachments.
  - Added printing to 'File' menu.
  - A problem with too small bufferts for fileattachment names+path fixed.
[ New not working functions: ]
  - change of CC field to BCC do not work yet.


********************************************************************************************
*     Date : 09.10.1999                                                                    *
*     Rev  : 0.89                                                                          *
*==========================================================================================*

[ New features: ]
  - None

[ Major improvements & bugfixes: ]
  - A debug printout was not removed at last release but removed now.
  - A bugfix in how Subject field was detected is fixed now.
  - Some minor problem solved in mailinglist.
    
[ New not working functions: ]
  - same as last version


********************************************************************************************
*     Date : 03.10.1999                                                                    *
*     Rev  : 0.88                                                                          *
*==========================================================================================*

[ New features: ]
  - None

[ Major improvements & bugfixes: ]
  - Right click was not working cause of a new function, this is now fixed.
  - Some attachment filenames was badly decoded, this is now fixed. 
  - Added possibility to dubble click on a alias in the alias editor to create a new mail.
  - Draging attachments to a folder was not working case of a function change
    but this is fixed now.
    
[ New not working functions: ]
  - same as last version


********************************************************************************************
*     Date : 24.09.1999                                                                    *
*     Rev  : 0.87                                                                          *
*==========================================================================================*

[ New features: ]
  - None

[ Major improvements & bugfixes: ]
  - When mailing list is used no address is needed in the 'To:' field.
  - Fixed a small bug in sending vcard.
  - Bugfixes in mailing list window.
    And the docs are partly updated regarding the same.
  - Fixed a problem with MS Outlook Express mail (again)
    that was causing mymail to crash.
  - A fault in sending mails with . (period) at the first position(s) in the text
    was violating the RFC 821.
    This is an old fault caused by a typo error in the source code
    but now it is fixed.
  - Adde possibility to not use the HOME path.
    This is done by adding a file in the startup path of mymail named nohome.
  - Some smaller bugfixes in the drag and drop code.
    
[ New not working functions: ]
  - same as last version
  

********************************************************************************************
*     Date : 14.08.1999                                                                    *
*     Rev  : 0.86                                                                          *
*==========================================================================================*

[ New features: ]
  + A line is now separating the text and the signature if
    signature separator is found (-- ). 

[ Major improvements & bugfixes: ]
  - Some "cleanup" in the POP3 code (download of mail).
  - Fixed some bugs in my av-server code.
  - Incrased stack size.
  - Problem with Magic and sting fixed.
  - A spelling error in program settings fixed.

[ New not working functions: ]
  - same as last version




********************************************************************************************
*     Date : 08.08.1999                                                                    *
*     Rev  : 0.85                                                                          *
*==========================================================================================*

[ New features: ]
  + From now mymail runs from your home directory.
    MyMail creates a folder named mymail in your home directory.

    This means that mymail can be used in a multiuser enviroment.
    
    MyMAIL is looking for the enviromant variable HOME
    and if it exist it will use the path stated in HOME
    to store all its userfiles as mail, user and programsettings.
    
    The program can be at the same path as before.
    
    This gives old users some work to move some files.
    The document file.htm contains info where different files
    must be placed.

  + Added sending of signature separator. (-- )
    This can be selected in program settings.
  + Added remove of signature if separator is present and 
    "sending of signature separator" is selected in program settings.
  + Added check for Precedence field in the header
    this to enable receive bulk mail with a To: field not matching receiving mail address.
  + Added sending the field "Precedence: bulk" when sending mailing list with
    hidden mailinglist.
  + Added alert boxes for indicating failure in sending attachments.
  + Added X-Hardware field in the sending of mail.
    This is set to "Atari" as default but can be changed by edit the line
    HARDWARE= in mymail.set file.

[ Major improvements & bugfixes: ]

  - Selection was not cleared after delete of mail.
    This is now fixed.
  - Added possibility to drag text to Address and name fields
    in the mailing list editor.
  - If adding of mail to queue is failing the editor is restored
    and not closed as before. 
  - Mail Info was not displaying X-Mail tag every time
    this is now fixed.
  - Smilys was not correct redrawn at horizontal scroll.
    This is now fixed.
  - Some times it was possible to set the cursor outside the text buffert
    in the editor and this was causing strange things.
    But this is now fixed.
  - Clicking on change button in the alias window with no address and name
    was causing the list to be blank.
    This is now fixed.
  - Added cache functions to speedup redraw of icons in the main window.
  - Some changes in pop3 code to get litle faster download of mail.  
  - Rewrite of code for creating dead*.txt files as it was not working as intended.
  - Some files encoded in SUN/Solaris mailers was not decoded correctly 
    but this is now fixed.
  - Added the file "files.htm" to docs containing info about the files used by mymail.
  - Big "cleanup" of the code.
  - Fixed bug in sending textfiles as attachment
    sigle dot '.' on one line is the same as end of mail
    and this was not removed by mymail so the mailserver got confused and 
    aborted all following actions.
    This is now fixed.
  - In some cases mymail was saying that a mail was multipart
    when it was not multipart.
    This is now fixed.
  - Receiving SIGQUIT signal will not bring up any error message at first receive
    and mymail will quit clean.
    Receiving a second SIGQUIT signal will terminate mymail fast.
  - Some smaller corrections in the code for vcard.
  - Docs are partly updated.
  - Icons was missing in alert window due to 3 missing lines in the code.
  - Redesign of the program settings window.
  - Bugfixes in drag'n'drop code.

[ New not working functions: ]
  * Added possibility to change CC field to BCC. *** NOTE *** No function yet (for future use).
  




**** 12.06.1999 **** 
     Rev: 0.84

- Bug in the mainwindows search function fixed.
- New design of the smily icons from Thomas Schrage included.
- CET (Central European Time) was missing in the time tables.
  This is now fixed.
- Some smaller bugfixes and changes in the POP3 code.
- Some smaller bugfixes in the editor.
- Faster code for input of text in the editor.
- Abort of mailtransfer works better now.
+ Added a new window for editing of F-key text...
- Some "cleanup" work done in some functions.
- "Bugfixed" for one more version of Outlook Express causing problems to 
  depack attached files.
- Fixed problem with blank mail and a bad message about too large mail.
- Tabs are now exchanged to spaces at import of text to a mail.  
- Bug in take address was causing mymail to crash but this is now fixed.
+ Added 3D style of links in text.



**** 17.04.1999 **** 
     Rev: 0.83

- Bugfix in window handler functions.
- Bugfix in close of user selection window.
  After closing the window mymail was trying to write to
  a destructed structure and this was randomly causing
  mymail to bomb.
- A bad bug in mymail was causing it to bomb
  and this was caused by changed params in a function call
  but with no change in the calling functions.
- Some code optimization.

  

**** 06.04.1999 **** 
     Rev: 0.82

* Big rewrite of character converting
  it is now using a table to convert to/from ISO8859-1 and the Atari charset.

  ISO8859-1 (Latin1) covers most West European languages, such as French (fr), Spanish
  (es), Catalan (ca), Basque (eu), Portuguese (pt), Italian (it),
  Albanian (sq), Rhaeto-Romanic (rm), Dutch (nl), German (de), Danish
  (da), Swedish (sv), Norwegian (no), Finnish (fi), Faroese (fo),
  Icelandic (is), Irish (ga), Scottish (gd), and English (en).
  
  I do not know how well it works for all languages at the moment
  but if you as user finds any badly translations
  of a character do please send me a mail.

  It can be problems with some fonts.

- From now names in Subject:, To: and From: fields in the header 
  will be encoded to mime if needed
  and if "encode text to mime" is selected in program setup.  
  
- More code optimization in the editor
  to get litle faster code.

+ Added save of mail text (ctrl-s)  

+ Added view of folowing smilys as icons :-) :-( :-| :-/ ;-) :P

- Fixed a problem with AVserver and Magic.  

- A bug in edit of user config names
  was causing failure to save the config name.
  This is now fixed.

- Bugfix in mailing list window (missing buttons)

- Faster sending/receiving of mail.



**** 09.03.1999 **** 
     Rev: 0.81
     
- Now it is possible to use upp/down arrow
  to select user config in user select window.
  Enter will close the window.
- Some smaller code optimization in the editor
  to get litle faster code.
- More icons (but not all) are now in mono for monocrome users.



**** 21.02.1999 **** 
     Rev: 0.80
     
- Fixed a decoding bug causing problem to view
  small non mime mail.
- Now the user can abort a mail transmit operation
  by clicking in the close icon for the progressbar window.
  The abort process can take some time.
- A bug in a string converting function was causing problems
  randomly with filter functions.
  This is now fixed.
+ Added find function in the main window.
  It is a very simple search function for searching of a text string
  inside all mail in selected mailbox.
  If a mail is found it will be selected.
  

**** 13.02.1999 **** 
     Rev: 0.79

- Fixed a bug causing problem with finding the boundarys in a mime encoded mail.
- Fixed more problems with mail addresses.
- MyMAILs editor has a limit of 32K mail text.
  If a mail with text larger than 32K is open mymail now 
  adds this text as attachment file "mtext.txt"
- Some code optimization.
+ Now MyMAIL can handle mailto: messages from web pages
  with subject.
  

**** 02.02.1999 **** 
     Rev: 0.78

- Fixed a problem with badly encoded fileattachment name.
- Fixed a decoding problem with some mime encoded mail.
- Fixed a problem finding filenames to attached files
  in some mails.
+ Added possibility to view of incomming mail before downloading them.
+ Added possibility to view of 'To' in details of waiting mail.
  

**** 23.01.1999 **** 
     Rev: 0.77

- A problem with some editable fields fixed.
- Now it is possible to remove a filter.
- Problem with decoding of attachments from Mozilla 4.5 (win95) fixed.
- Some smaller bugfixes in the editor.
- Some problems with mailinfo fixed.
- Fixed a problem with mail from Outlook express (what else ?)
  and the mail address coded as this "'adr@adr.adr'"
  mymail is now filtering this correctly.
  
  

**** 06.01.1999 **** 
     Rev: 0.76

- Problem with aborted mailinglist transfer fixed.
- Some bugfixes/changes/adds in the editor
  * Cursor was not working correctly in all fontsizes.
    but now it works.
  * Now the editor works with proportional fonts.
  * Tryed to optimize the code for speed.
  * A problem with the clipboard fixed.
  * Now font can be set by Dragfont.
  * Total rewrite of the block copy/delete.
  * Total rewrite of how the window positions are saved
    they are now saved in the setup file (mymail.set)
  * CTRL+Y now erases one line
  * CTRL+A blockmarks all the text
  * Total rewrite of wordwrap.
- Changes in popup menu for the main window.
- Information located in pgminfo.inf file
  is now moved to the mymail.set file.
  This is done to minimizing the number of files.
- If mymail not finds From: or Reply-To: fileds
  but finds Return-Path:
  it will use this as reply address.
- Assembler fault causing crash fixed.
- Problem with lost path to Signature file fixed.
+ Added a button in User & Server settings
  "Only receive mail with this address"
  when this is selected only mail with the address stated 
  in "Mail address" will be received and all other will be skipped.
  This is nice for peoples having many addresses on one account
  but only likes to receive mail addressed to the stated address.
+ Added a new button in mail info window "More..."
  this will display the header from the mail
  without any formating.
  The header is stored as a file with the name header.txt
+ Added some keyboard shortcuts in the main window.
  CTRL+I  Opens information window for selected mail.
  CTRL+N  Opens a new mail edit window.
+ Added timezon settings
+ Now date is sent by the mailer
+ Now it is possible to mark all mails with a specific subject.


**** 20.12.1998 **** 
     Rev: 0.75

- Iconbar animation/update was not working correctly in rev-0.74
  this is now fixed.
- No termination of mime encoded string was causing randomly
  bad chars in mail sending.
- If an edit window was not opened cause of no more window
  mymail lost it's control over the edit windows.
  This is now fixed.
- Depacking was failed if a mail was recieved with fileattachments
  and the filename was with full path (C:\file.txt)
  I have now added a filter that removes the path.
- Fixed some bugs in filter functions.
- Fixed some bugs fontselection functions.
  * now mymail checks if it is monospaced fonts or not.
  * Selections are saved directly.
- Some bugfixes in the editor
  * Prev next was not working correct
    this is now fixed.
  * Added ability to add and remove fileattachments
    without drag and drop.
  * To, CC and subject field was not working correctly all times
    this is now fixed.
  * Now blockmarks works outside the window borders
    as the text now scrolls when moving mouse pointer outside the 
    text limits.
  * Reverse blockmarking works now.
  * Blockmarking was not working in all fontsizes.
    but now it works.
+ Added Reply-to filed in filter 
  this is very usefully for mailing lists.
+ Added a new file named help.dat
  this is the help text for bubblegem
  moved out from the rsc file.
+ Now it is possible to mark all mails with a specific subject as delete.
+ It is now possible to move more than one mail to a folder.


    

**** 21.11.1998 **** 
     Rev: 0.74

- Some minor MIME text decoding problems fixed.
+ Added save of dead letter.
  Mymail is now saving the mail text if the window is closed by user
  or quit of the program without any sending of the mail.
  The file is named DEAD*.TXT and is randomly numbered from 0-7 
  (dead0.txt to dead7.txt)
- Fixed a bug in mailfrom window causing selection to fail randomly.
- Fixed a bug in icon redraw causing mymail to hang in sigle-TOS.
- Ctrl-V was randomly causing strange result 
  this is now fixed.

**** 14.11.1998 **** 
     Rev: 0.73

- Fixed problem with editor window placed at upper left corner.
- Fixed some bugs in queued mail causing
  transmit of empty mail randomly.
- Reply problem after stepping with next/prev icons in mail view window fixed.
- Added dialup and send queue if offline.
- Some mailers are sending tabs in the header
  and this was causing bad operations in mymail.
  MyMAIL is now removing this tabs before using the info.
- Some minor MIME text decoding problems fixed.

  
**** 08.11.1998 **** 
     Rev: 0.72
     
- Fixed problem with cursor update when using backspace.
- Problem with remove last char in the editors text buffert fixed.
- Some smaller bugfixes in editor.
  * Internal check for lost memory links
    this to prevent total crash if a link is lost.
  * Inprovements in the way left/right key is handled by the program.
  * Moving to next/prev mail after reading the last page
    was causing blank pages in next/prev mail.
    This is now fixed.
  * The edit window is now closed at send of mail
    to prevent close by user actions and lost data.
    If the transmition fails it will be reopen.
    (Tecnicaly MyMAIL will only close the window without releasing any data structures. 
     Only success or useractions will remove all resurces from a window now)
  * Vertical slider is now handled correctly.
  * Problems to delete last line with blockmarks fixed.
- The way reply is handled is changed litle
  to get a more safe hadle of reply address.
- Added a new button "Encode text to mime" in the setup window for sending mail.
  With this selected mymail is encoding some chars to mime
  this will look bad in some mailers as the chars are encoded like this:
  =E5=E4=F6
- A small BASE64 Encoding fault fixed.

  
  
  

**** 25.10.1998 **** 
     Rev: 0.71

- Bug in depacking was randomly cause corrupt data in depacked file.
  This is now fixed.
- Rewrite of the timeout in POP, SMTP and HTTP communication
  to get a litle bit faster code.
- Stack fault was causing strange results at sending of mail.
- Bad initiate of base64 encoding was causing decoding to fail randomly.
  This is now done correctly.
- Bad cursor update at CTRL-left/right arrow is now fixed.
- Too small stack size was causing strange faults.
  this is now incrased.
- If the enviroment variable STINGDIALER is set to the sting dialers full path
  then mymail starts the dialer automatic at timerdial.
- Adding to hotlist was under some filesystems causing hotlist to be erased.
  This is now fixed.


**** 18.10.1998 **** 
     Rev: 0.70

- Fixed problems with decoding of base64 encoded attachmens from SUN mailer.
- It was not possible to close "Edit Address card" cause of bad
  return value for a function.
  This is now done correctly.
- Problem with popup menu opened outside the top of screen is now fixed.
- Added sound functions.
  MyMAIL is NOT doing the playback
  it is only sending a va-start message
  so it works if there is a soundplayer installed correctly
  on the computer.
- New setup added for sound events.
  If gemjing is used do select the button "Use GEMJing"
- Now settings are saved directly at change
  and the save settings icon are removed.
- Rewrite of setting window handler.
- Prev/next buttons in editor caused mymail to crasch
  caused by a NULL pointer.
- Internal ram buffert for clipboard is now dynamicly allocated.
- Fixed problems with mail from outlook express coding filenames i base64
  this filenames are now decoded correctly.
  As usual this is violating the specifications
  so mymail only decode this and will never encode in this format.
- Bug in call to file selector in save mail as text or html
  was randomly causing mymail to crasch.
- One memory release error fixed.
- Now mymail is telling the user the if the mail server refuse to accept
  a mailaddress when sending a mail but not if it is to a mailing list
  where the error addresses is saved in the file FAILED.TXT.
  This is a must cause of some servers checks if it is a "real" address
  by contacting the destination server.
  If the server is down then it is not possible to send mail to that address.
  This is not any fault in mymail this is only a way for providers to protect
  them from being used as "Spam" server.
- A bug in the logging of mail was causing the logg to be closed
  and reopened many times in a mail send and this was slowing down
  the transmit of the mail.
- A small speed optimization is done in the base64(mime) encoding.
- Some spelling errors fixed in dialogs.
- Empty text in mail was some times causing mymail to bomb
  this is now fixed.
- Faulty pointer in "Depack" window was causing problems.
  This is now fixed.
- CTRL-V was causing mymail to hang randomly
  this is now fixed.
- Faster encoding of fileattachments (base64)
- Some times text after links was not displayed
  this is now fixed.
- At export of mail to html format the links inside a mail
  is converted into a selectable link.
- Now the keys Shift-upp arrow/Shift down arrow is now supported by mymail
  to scroll pages up and down.
- Fixed a bug causing problems when there was more mail in a mailbox than mymail could handle.
  The limit was 512 but is now incrased to 1024 but the program do not crash if there is more mail.


**** 01.10.1998 **** 
     Rev: 0.69

- Fixed problems with locked buttons in "Timer dial" window.
- Delete key was not working in object edit fields.
- It is now possible to select next or prev. message
  from a mail read window.
- There is 5 new icons in read mail window.
  Upp arrow icon  - selects prev. mail
  Down arrow icon - selects next mail.
  Info icon       - shows info about the mail. (Mailer, from, to, ....)
  Printer icon    - print the mail 
  Disk icon       - save mail text to file
- Save mail to text file was not working if ram disk was installed
  Now it works with ram disk.
- Fatal error found in address field
  if no alias file existed the field was cleared at enter.
  This is now fixed.
- A small assembler bug fixed in string copy functions.
- Added save mail as html.
  This function is very simple and
  no special chars are converted in this version.
  There is 2 versions.
  * Save mail as HTML     - Saves/converts one selected mail into one file
                            specified by the user.
  * Save all mail as HTML - Saves/concerts all mail into a directory specified by the user
                            mail 1 is converted to file 1.htm
                            mail 2 to 2.htm and so on.....
                            Then there is a file index.htm created
                            with links to all the html-mail files.
- Bugfixes in editor.
  * Randomly was wrong number of chars copy to clipboard
    This is now fixed.
  * Too slow adding of new line.
    this is now done faster.
  * Randomly was bad chars inserted in text when moving cursor with arrow keys.
    This is now fixed.
  * Home key is now working correctly.
  * Ctrl-C, Ctrl-v and Ctrl-x was inserting the control chars in text buffert
    causing strange functionality of the editor.
  * If there was only one cr/lf in text buffert 
    and user pressed Delete key then only the cr char was removed.
    This is now fixed.
  * It was possible to delete chars from empty textbuffert
    this was causing starnge results.
    This is not possible now.
  * Internal fault:
    If block bigger than text buffert was deleted
    then the program crasched.
  * Trying to delete the last char and in text buffert
    and the char is a cr/lf combination only the cr was deleted.
    
- Bugfixes in filter functions.
- Dilaer communication bugfixed.
  KRfree was called randomly with a faulty pointer.
- Added abort function to the dialer function in mymail
  it will only abort mymails communication and will not send any 
  abort messages to the sting/stik dialer.
- Internal buffert for clipboard was too small
  this is now 20K
- Bugfixes in "Receive mail details".

  

**** 12.09.1998 **** 
     Rev: 0.68

- Fixed some problems with queue causing empty mails.
- There is still some problems with qued mail
  but only with Magic.
- Encoding mismatch problems fixed.
- Problems with mail links in editor starting att pos 1 line 1 fixed.
- If a edit window was moved and not redrawn then it was not possible to drag
  a icon from the attachment toolbar.
  This was a calculation fault and is now corrected.
- A bug in user selection was causing mymail to bomb if selecting a 
  user setup and holding down the mousebutton.  
  This is now fixed.
- 2 Assembler functions was faulty.
  This is now fixed.
- 4 C-functions are converted to Assembler to speed up the execution.
- Too small string buffert in a reply function was causing
  some mail to crash mymail.
  This string is now 4 times bigger so there will not be any more problem with this.
- Some bugfixes in editor.
  * Faster update of blockmarking.
  * Fixed problems with incorrect cut & paste.
  * Partly fixed incorrect calculation of blockmarks.
- Leading spaces in Subject: and From: fields in a mail is
  now removed before displaying it.
- Now it is possible to have MyMAIL to "Dial - Check mail - Hangup"
  together with sting and it's dialer.
  The dialer must be active.
  The dialup function is using stings protocoll for dialing
  so it can be used in a network to start dialing on another 
  computer than the computer the program is running on.
  (It is not tested if it works in a network)
  

    

**** 12.08.1998 **** 
     Rev: 0.67

- Fixed more problems with the new window handler causing bombs.
  The most problems was related to MagiC.
- A bug in printout handler fixed.
- Under MiNT the printout is now runing in a thread.
- Line longer than 70 chars in printout are splitted
  into more than one line.
- If the file alias.lst was "0" size the alias edit
  was locked up.
  This problem is now fixed.
- Mail header from for exaple Outlook Express can be encoded with base64
  this is now decoded by mymail.
  Mymail will NOT encode the header in base64
  as this violate the specificatinons saying that it must be readable
  in any mail client without the need to decode.
- Faster startup of the program.
- Many small bugfixes.



**** 29.07.1998 **** 
     Rev: V0.66

- Problems with the new window handler was causing bombs
  this problems are now fixed.
- Some problems with cursor in editor window fixed.
- Problems to find web page name at add to CAB hotlist
  partly fixed.
- A encoding fault in the uuencoding is now corrected.
- Added new entry in menu for editing of personal address card.
- Added new windows for editing of personal address card.
  The contants in this window is saved at close of the window.
  If the button "always send this include in new mail" is selected
  the address card is sent in all mail.
- Incomming attachments with the name vcard.vcd is never shown in editor
  it is added to the database named vcard.txt
- If there is no hits at search in the alias database when typing 
  a name instead of a email address mymail continues to search 
  in the addresscard database (vcard.txt)
- MyMAIL is now recognizing if a popserver is locked. 
- Many small bugfixes.


**** 19.07.1998 **** 
     Rev: V0.65

- Many small bugfixes.
- Mail recieve details was not working properly
  this is now fixed.
- A complete new window handler is inplemented in the code
  to eliminate future problems and to handle animations better.
  It gives smaller and faster code and is easyer to maintain for me.
- Faster code for opening of a mail.


**** 07.07.1998 **** 
     Rev: V0.64

- Many small bugfixes.
- Added ability to erase all files in attach folder at program termination.
- Added ability to automaticly erase the oldest files in attach folder at 
  a user defined size limit.
- Incrased the len of edit fields in user settings.
- Added a popup menu in details for incoming mail.
  In this popup menu there is one entry for deleteing mail
  from server, this will delete the mail from server and it can NOT be undone.
- Problem with interrupted transmit of mail with mailing list
  caused by a bad mail address.
  The failed addresses are now saved in a file (failed.txt)
  and the program continues the transmit.
- Version check was failing caused of a change in Tripnets web server.
  This is now fixed.
- System hang at redraw of editing windows fixed.
- Double redraw of the alias editing window is now removed.
- Help window is now not topping wrong window at close.



**** 21.06.1998 **** 
     Rev: V0.63

- Now MyMAIL is taking less memory than before.
- Faster include of text in a mail after dropping the file into
  the editing window.
- Wordwraping was incorrectly inserting a space at new line.
  This is now corrected.
- The file mime.set is now controling how mime(base64) mail with
  attachments are sent.
- Litle faster encoding of file attachments.
- Again there has bean problems with Outlook express
  formated mails can send a application/octet-stream without any filename.
  This files are now named msappl0.bin, msappl1.bin, msappl2.bin.... and so on.
- Timer checking of new mail are now done in background if MiNT is installed.
- Checking of new MyMAIL version is now done in background if MiNT is installed.
- A bug causing not released memory after a thread was terminated is now fixed.
 

**** 14.06.1998 **** NAS *** 
     Rev: V0.62-04

- New version check was opening a window that was not able to close at new version.
  This is now corrected.
- Inbox window is now saved at close of the window and not as before at the move.
- Edit window is now saved at close of the window and not as before at the move or resized.


**** 13.06.1998 **** NAS ***
     Rev: V0.62-03
- At logg of outgoing mail the index file was not updated
  now this is corrected.
- If folders only are dropped into a editor
  this is NOT included now.
  

**** 12.06.1998 **** NAS ***
     Rev: V0.62

- A new file added named MIME.SET
  This file is used to control the coding/decoding of file attachments
  but at the moment only depcking is using the file.
- If a mail was recieved with no text body then MyMAIL caused a buserror at opening of the mail.
  This problem is now removed.
- Now reply will be sent to the "Reply-To" address if any is stated.
- Added "reply to" settings in user setup.
- Fixed problem with selection of mail at Hades 060.
- Fixed some problems (not all) in editor with different fontsizes.
- Now side scroll in editor works allowing the user to type or view long lines.
- Moving cursor up and outside the window is now causing a scroll to
  make the line outside the window visible.
- Added word wrap at edit if user selects this function in the setup.
- Many small bugfixes.
- If MiNT is used and ramdisk (ramfs.xfs) are installed then the mail.tmp
  file is located in the ramdisk to speedup operations.


**** 23.05.1998 **** 
     Rev: V0.61

- Fixed a fileattachment problem related with mail from MS Outlook Express
  Outlook express is sometimes sending gif files with no name
  this files are now named msjunk.gif to be able to decode the file.
- It is now possible to blockmark a word in the editor by
  a doubleclick in the word.
- Some blockmarking problems fixed.
- When a address and the name together is too long in the To: field
  the name is removed and only the address is displayed.
- TAB kay was not working
  now it works but it will NOT insert a tab
  it inserts 8 space chars.
- It is now possible to mark many mail items in the current mailbox
  by holding down shift when clicking in the mail item.
- Turning off the animation of iconbar was not saved.
  This is now fixed.
- Incorrect bubble help in editor icons are now corrected.
- Docs are partly updated.
 

  

**** 17.05.1998 **** 
     Rev: V0.60

- Fixed problems in editor:
  * Blinking blockmarks
  * Cursor redraw
- Startup crasch problem fixed.
- ctrl+right (move to end of line)
  was not working correctly.



**** 16.05.1998 **** 
     Rev: V0.59

- Fixed a fileattachment problem related with mail from MS Outlook Express.
- The program is now able to look for new versions automaticly
  so when there is a new version on my homepage the program is
  telling the user to upgrade.
  There is also a button in the programinfo for manualy do the check.
  The check is only able to do when on-line.
- Bugfixes in the editor.
  * Blockmarking
  * Linespace
  * Lineredraw at editing
- Some mailers sends html tags like <blink>some text</blink>
  the <blink> tag is now supported.
  If you have a slow computer the blink may get
  you computer feeling slow
  so there is a selection in the program settings to turn off 
  the text blinking funktion.
- Some smaller bugfixes.


**** 11.05.1998 **** 
     Rev: V0.58

- A bug in editor window was randomly causing buserror at opening of a mail.
  This problem is now fixed.
- It is now possible to set the font colours and background colour 
  in the mail edit windows.
- Intended text in a reply now get other colour than the normal text.
- Text in editor with other colours than black was redrawn badly
  at editing of the text, this is now fixed.



**** 02.05.1998 **** 
     Rev: V0.57

- The documentation in html is partly updated.
- It is now possible to open more than one mailwindow.
  The only limit is the memory.
- Now there is progressbar at sending of mail.
- Incorrect progressbar at retrivement of many small mails are now fixed.
  The program was counting bytes for server communication.  
- TT Fastram flags are now set as default.
- Total rewrite of the function that reads the Subject and From info.
  This to remove the need of separate files for this.
- Added a simple print function.
- It is now possible to trash a mail directly by pressing Delete key.
  The mail is will be removed from database directly.
- Text body/files encoded in i.e Eudora was not decoded correctly every time
  this is now fixed.
  Example of text:
  ----------------
    This is=
      a test text
  This text was as original one line so the program has
  to convert it back to one line.
- Big rewrite of the function that erases mail from database file.
  This new version is very fast and stable.
- Fixed a problem with "NEW" marked mail after delete of other mail.
  This problem occured only when users had more than 255 mails.
- If take address was used on a not readed mail the status was changed to readed.
  This is now corrected to not change the status.
- It is now possible to create a SMTP debug file to see whats happening
  if you have any problems.
  The file is named smtp.log and contains all communication 
  exchanged by client and server.
  This debug is slow so don't use it regulary.
- SMTP Can now handle both HELO and EHLO messages and it tryes to 
  follow the RFC 1869 SMTP Service extensions.
  This because there has bean problem with the connection to some servers
  not supporting the old RFC specifications in a correct way.
  MyMAIL allso continues to send a mail after recieving incorrect
  message 250 from server. (354 is correct)
- Leading spaces in names added to a mailing list automaticly
  are now removed.
- Double redraw of mail items removed.
- 10 Mailboxes are now possible to use and set names to.
- It is possible to drag a mail to a mailfolder.
- Filtering function works now.


**** 11.04.1998 **** 
     Rev: V0.56
     
  WARNING  WARNING  WARNING  WARNING  WARNING  WARNING
  ///////  ///////  ///////  ///////  ///////  ///////
  Do a backup of your alias.lst file before starting 
  this new version of MyMAIL.
  There is big changes in the code for handling the alias
  so its possible there is errors in the code.

- Auto update of mailinglists works correct now.
- It is now not possible to add more than one copy
  of a mail address in a maillist.
- It is now possible to move the cursor in left/right is resource objects.
- Lots of small bug fixes that are to heavy to describe in this document.
- At fail/abort of mailrecieve the mailbuffert was not closed correctly.
  Now the file is closed and terminated correctly and the cause is stated in end of the
  damaged  mail.
  The mail is then set to bad (B).
- Now it is possible to get info about a mail from the inbox window 
  and a mail by selecting popupmenu by clicking with right button on mouse.
- Scrolling of text works now at editing.
- Possible to have more than 10 mail alias from now.
- Possible to take an address from the inbox window and a mail
  by selecting popupmenu by clicking with right button on mouse.
  The program is seting a auto alias if it can
  or it will insert a blank string.
- Random hanging at download of mail with file attachments fixed.
- Fatal error in editor fixed.
- Folowing key kombinations works from now in the editor:
  ctrl-c  COPY
  ctrl-v  PASTE
  ctrl-x  CUT
- Fixed a paste bug but the past function is slow
  this will be fixed later.
- base64 encoded fileattachments was not depacked into
  the attach folder.
  This is now fixed.
- Fixed problem with signature files
- It is now possible to drag the signature file into
  the settings window.
- Fixed bugs in editors ctrl+v function
  and it is faster now.
- Faster internal functions in editor.
- A ; char at a bad place in the C code was causing
  continued problems with double Re: in a mail reply.
  This is now fixed and i hope its final.
- Missing cause information at programexecution errors
  when using MiNT is added now.

  Signals supported:
   SIGPRIV
   SIGBUS
   SIGABRT
   SIGILL
   SIGQUIT
   SIGTRAP
   SIGKILL
   SIGINT
   SIGSEGV
   SIGTERM
   SIGCHLD
   SIGALRM 

- There is now a need to add a enviroment variable to the system
  the variable is WWWHOTLIST and it must contain the full path to the www hotlist.
  For example WWWHOTLIST=c:\cab\hotlist.htm
  This function is only tested with CAB 2.5
  so save your hotlist.htm on a safe place before testing.
- Double click on a attachment was not opened correctly
  after the move to the attach folder.
  This problem is now corrected.
- In editor window the icon for mailing lists had wrong help
  this is now corrected.
      
  

**** 16.03.1998 **** 
     Rev: V0.55
- Added popupmenu for folowing actions:
  Mark all as read
  Mark all read as deleted
  Mark all as deleted
  Goto next new mail
- The problem with Double Re: at reply on a reply 
  was not fixed in prev version but now it works.
- Added new keyboard functions in the editor
  SHIFT - RIGHT ARROW    Move cursor to line end
  SHIFT - LEFT ARROW     Move cursor to line start
  CTRL  - RIGHT ARROW    Move cursor to next word
  CTRL  - LEFT ARROW     Move cursor backward to next word
- Paste function (ctrl-v) now works with more than one line.



**** 14.03.1998 **** 
     Rev: V0.54
- No big changes in the docs for this version
  only some error codes added.
- Double Re: at reply on a reply are removed now.
- All depacking of mail will be done to a folder named attach placed in the program folder.
- If a mail transaction fails the error code is displayed at foot of inbox.
- Fixed problems related to some MTAs when sending mail. 
  (MTA = Mail Transfer Agent)
- Fixed a problem in the exitor causing 2 bombs.
- If MiNT is used the erase process of mail are running in a thread from now.
- Fixed problems with base64 encoding.
- Faster depacking of base64 and uuencoded fileattachments.
- Fixed problems with more then one fileattachment from Eudora.
- Fixed problems with sync of messages at very fast computers (Hades).
- Fixed a init. problem with AV-server and MagiC

**** 11.01.1998 **** 
     Rev: V0.53

- WM_BOTTOM message support added.
- It is now able to add a mail to the queue directly.
- Block marking of text in editor added
  but not completed.
- Documentation now supplied in HTML format.
- Bug fixed in editor causing problems with lost text buffert.
- Bug fixed in program settings.
- Added ability to turn off saving of windows positions.
- Added ability to turn off internal use of BubbleGEM.
- More BubbleGEM help added.
- Added ftp linking to ftp sites if a ftp address is stated in the mail. (displayed with green text)
- Bug in links of mail addresses when viewing a mail with a mail address at the first line.
- bug fixed in editor,  text file not closed properly after drag & drop into the editor.
  This was causing problems with locked files and lost pointers.
- Added support for use with CAB.


**** 02.01.1998 **** 
     Rev: V0.51
     
- Fixed a bug in mailing list selection .
- Fixed problem with cursor position in editing windows.

**** 01.01.1998 **** 
     Rev: V0.50

- It is now possible to click on a mail address stated in a mail
  and write a mail to that address.
- All this hated mail with HTML code in the mail body
  will from now be converted to a file temp.htm and 
  a message is sent with this filename
  so a web browser can read it directly.
- Added support for object linking with OLGA
- HTML style links in mail will be transformed to text only
  and it's possible to click in the link and move to that page directly.
  But you have to setup your desktop to understand links.
  For example in Jinnee you edit your settings for your web browser (cab.app)
  to accept recieving http://*
- It is now possible to import a text file containing a mailing list
  to the program.
- Fixed some problems with trashed RSC structure of too long strings.
- It is now possible to move the edit cursor in mail edit window
  by a mouse click.
- Fixed filename problem with recieved uuencoded files.
- Fixed a problem with recieving of more than one file attachment.
- A signature can now be assigned automaticly to all outgoing mail.
  The signature can be any plain text file.
  Setup is done in program setup.
- It is now possible to setup the program to check for new mail at startup of MyMail.
- Fixed problem with dragging file attachments to an application on the desktop.
- Mailing lists will be split if there are more than 100 addresses
  to enable use of long mailing lists.
- Problem with no topping of edit window when clicking
  in fileattachment bar is now fixed.
- Now the program tries to mount icons associated to the filetype
  in the file attachment part of windows.
- It is now possible to double click on recieved file attachments
  for opening it in for example a text editor.
  But this require a AV server desktop (Thing, Jinnee...)
  and a multitasking OS.
- Fixed problems with sending mail including file attachments
  to netscape and IE mail clients.
- Fixed some problems with file attachments recieved from Mac.
- Total re-write of the way icons are handled in the inbox window.
- Redraw problem with Magic fixed.
- Faster depacking of file attachments.
- Cleanup of some funktions, removing debug code.


**** 15.12.1997 **** 
     Rev: V0.47
- Cc line in new mail now works OK
- Fixed a problem with recieving mail and not having any prompting
  activated for mail recieve.
- Added icons for displaying mail status in inbox window. (only colour icons)
- Now the total size of the stored mail is displayed at inbox window.
- Problems with not removed 'D' marks after deleting all 'D' marked mail
  is now fixed.


**** 10.12.1997 **** 
     Rev: V0.46

- Re-write of timer checking of mail.
  Default is 30 seconds.
- When sending more than one fileattachment
  there was no blank line separating them.
  This was fooling some mail clients but is now fixed.
- Fixed some problems with boundarys created by some mail programs.
- Added a window when depacking file attachments.
  It is now possible to abort the depacking of file attachments
  but this will result in an uncomplete file.
- Some bug fixes in mail edit window.
- Fixed some problems with the saved window positions.


**** 02.12.1997 **** 
     Rev: V0.45

- Increased stacksize after problem with stack overflow.


**** 30.11.1997 **** 
     Rev: V0.44

- Solved a timeout problem, when connecting to a mailserver for sending
  a mail the timeout was calculated wrong after the rewrite in V0.40
- If you are writing a new mail you can top the window by clicking
  in the "newmail" icon.
- Fixed a bug in reading of mailsize.
- Window positions are now saved.
- Fixed a bug in opening of mail, it was possible to open a "blank" mail
  position in inbox window  that only showed the previous viewed mail.
- Fixed problem (bug) with boundary tags and sending attachments to some PC mail clients.
- Fixed problems with recieve mail and attachments from Outlook Express
- Now it is possible to see the mail waiting for download from server.


**** 24.11.1997 **** 
     Rev: V0.40

- Fixed problem with no subject on recieved mail.
  If no subject was stated in a recieved mail
  the program got confused.
  But now this is fixed.
- Added logging of transmitted mail.
  This is not completed but it's a start.
  At the moment the logg is stored in logg.txt
  this may change in future versions.
- Faster download of new mail
  (there was a classic "windows" bug called "do nothing loop"
   that was slowing down the download but this bug is now removed)
- Solved problems with SMTP and providers using NT server
  as they don't respond correctly every time so i have to
  code the program to be more tolerant on nonsense messages
  from the server.
  I hope this changes will help all having problems with
  sending mail.
- Fixed problem with uuencoded attachments recieved from Newsie.
- Fixed problems with boundary tags.



**** 20.11.1997 **** 
     Rev: V0.39

- Bugfixes
- Removed some debugcode.

**** 19.11.1997 **** 
     Rev: V0.38
  
- New window for editing of mail
- Now file attachments works.
- Added support for BubbleGEM

**** 13.11.1997 **** 
     Rev: V0.32
  
- Fixed redraw problems of inmail window at resize
- It is now possible to drag an attached file from a mail to a folder.


**** xx.11.1997 **** 
     Rev: V0.30
  
- Fixed problems whith crashed program
  when opening a mail with textlines longer than 256 characters.
- Fixed some window redraw problems.


**** 07.11.1997 **** 
     Rev: V0.29 
  
- Fixed problems after deleting all mail.


**** 05.11.1997 **** 
     Rev: V0.28 
  
- New window for viewing mail.
- History info moved from readme.txt to history.txt file.
- New mouse forms at mail check/recieve/send.


**** 03.11.1997 **** 
     Rev: V0.27
  
- Fixed problems with mail with the text line "This is a multi-part message in MIME format."
  This textline is removed from the mail. (This text is nonsense and of no use)
- If HTML code is detected there is a 'H' mark before the mail instead of 'N' mark.
- From now, if no mail is marked for delete the mail delete process is aborted.
- Bug in indexing of mail after deleting mail is fixed.
- Removed the debug text file insize.txt


********************
     Rev: V0.26
- Fixed some problems whith deleting mail.
  From now the delete of mail is aborted if any error is detected.


********************
     Rev: V0.25
- Bugfixes


********************
     Rev: V0.24
- Bugfixes


********************
     Rev: V0.23
- Fixed deleting mail bug.
  When deleting one mail it was deleting 2 mail.
  The mail to delete and the last mail was deleted.


********************
     Rev: V0.22
- Hanging after deleting all mail fixed again.
  New code was trying to read 0 bytes from some files
  and this was hanging the program.
- Can now read file attachments from Microsoft Outlook Express.


********************
     Rev: V0.21
- Fixed problem with timer check of mail.
  This was started again while the mail download was in progress
  and confused the program.
- Some window updates is faster now.
- The inbox window is updated with new mail(s)
  while mail recieve is in progress.
- Now alias works in the Cc fields.
- It is now possible to turn off the prompt for recieving of new mail.
- Enter opens marked mail in inbox window. 
- Some small bug fixes.


********************
     Rev: V0.20
- From now a subject must be stated for sending a mail.
- Up to 10 alias for mail addresses can be stated in the "Alias" window.
  To use an alias when writing a mail just type the alias at the To: field
  and press enter and the mail address will be filled in.
  Alias will NOT work in mailinglists.
- Fixed problems with hanging after deleting all mail.
- Start adding code for selfupdating mailinglists
  but it's not completed and does not work yet
  so don't use it.
- Increased stack size will solve problem with crashes.


********************
     Rev: V0.19
- Mail file is now not open until there is any mail
  this will make the mail checking faster.
- Progressbar for Mail recieving is now able to turn on and off.
- From now the mailfile will not be checked after a mail check with no mail.
- Start adding drag & drop protocol but there is no function(s) yet.
- It was only able to mail 12 lines mail.
  This limit is now changed to be dynamic from 0 to 100 lines of text.
  But there is a 12 lines limit in the mail edit window.
  To get larger mail you have to import a text file.

0.18
- Fixed some problems after depacking base64 packed files.
- Some small bug fixes.

V0.17
- Removed some, for the user, confusing debug messages.

V0.16
- Mail transmitting was not terminated correctly in V0.15
  this is now fixed.
- Now it is possible to load a textfile into the mail editing window.
  But the limit is what you see in the window.
- Can now handle file attachments from winNT Mozilla mailer.
  Different versions of PC mailers encode the mail different
  so it is not sure it works with all mail from PC.
  (Why make it easy ?? PC must stand for ProblemComputer)

V0.15
- Progressbar for recieving mail has been improved.
- Fixed a problem with that the user settings was not saved every time.
- Two windows had a bad pointer setting, this is now fixed.

V0.14
- Mailing lists works now.
- Timeout problem at Hades computers fixed.


V0.12

- A never closed file caused problems with the contents in inbox.
  This is now fixed.
- Formatting of a not used string was causing crashes randomly.
  This is now fixed.
- Timeout problem at connection to server coused errors when trying to send mail.
  This is now fixed.

